# Generated by Django 2.0.5 on 2020-04-20 08:25

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0083_customer_collector_service_allowed'),
        ('collector', '0014_auto_20200417_0842'),
    ]

    operations = [
        migrations.CreateModel(
            name='CollectorSettings',
            fields=[
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('provider', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='collector_settings', serialize=False, to='accounts.Provider')),
                ('settings', django.contrib.postgres.fields.jsonb.JSONField(default={})),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
